#include "joystick.h"
#include "Energia.h"

int getPosition (int pin)
{
  const int n = analogRead(pin) - CENTER;

  return n / 128;
}

int getX()
{
  return getPosition(XPIN) * -1;
}

int getY()
{
  return getPosition(YPIN) * -1;
}

void waitForRelease(int howLong)
{
  int c = 0;
  do
  {
    delay (10);
    c += 10;
  }
  while ((getY() != 0 || getX() != 0) && c < howLong);
}
